version: '3.8'

services:
  divintel-api:
    networks:
      - divintel
    image: node:14.15.1-alpine
    container_name: divintel-api
    restart: unless-stopped
    volumes:
      - $PWD:/app
    environment:
      - PORT=8080
      - DATABASE_URL=mongodb://mongo
      - DATABASE_NAME=divintel
    ports:
      - '8080:8080'
    working_dir: /app
    entrypoint: npm
    command: run dev

  mongo:
    networks:
      - divintel
    image: mongo:3.6-xenial
    container_name: mongo
    restart: unless-stopped

networks:
  divintel:
    external: true
